org.apache.sysds.runtime.compress.colgroup.mapping

## Class MapToFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.mapping.MapToFactory

    public final class MapToFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `MapToFactory.MAP_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`MapToFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AMapToData` `create(int size, ABitmap ubm)`
`static AMapToData` `create(int size, boolean zeros, IntArrayList[] values)`
`static AMapToData` `create(int size, int numTuples)`
`static long` `estimateInMemorySize(int size, int numTuples)`
`static AMapToData` `join(AMapToData left, AMapToData right)`
`static AMapToData` `readIn(DataInput in)`
`static AMapToData` `resize(AMapToData d, int numTuples)` Reshape the map, to a smaller instance if applicable.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapToFactory

    public MapToFactory()

### Method Detail

#### create

    public static AMapToData create(int size,
                                    ABitmap ubm)

#### create

    public static AMapToData create(int size,
                                    boolean zeros,
                                    IntArrayList[] values)

#### create

    public static AMapToData create(int size,
                                    int numTuples)

#### resize

    public static AMapToData resize(AMapToData d,
                                    int numTuples)

Reshape the map, to a smaller instance if applicable. Note that it returns the input if the input is the smallest representation that fits, otherwise it will return something that is smaller.

Parameters:
  `d` - The Input mat to potentially reduce the size of.
  `numTuples` - The number of tuples that should be in the resulting map
Returns:
  The returned hopefully reduced map.

#### estimateInMemorySize

    public static long estimateInMemorySize(int size,
                                            int numTuples)

#### readIn

    public static AMapToData readIn(DataInput in)
                             throws IOException

Throws:
  `IOException`

#### join

    public static AMapToData join(AMapToData left,
                                  AMapToData right)